org.apache.geode.cache.query.data

## Class Position

- java.lang.Object
- - org.apache.geode.cache.query.data.Position

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable, DataSerializable

      public class Position
      extends java.lang.Object
      implements java.io.Serializable, DataSerializable, java.lang.Comparable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.geode.DataSerializable

      `DataSerializable.Replaceable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `cnt`
    `double` | `mktValue`
    `int` | `portfolioId`
    `java.lang.String` | `secId`
    `java.lang.String` | `secIdIndexed`
    `java.lang.String` | `secType`
    `java.lang.String` | `underlyer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Position()`
    `Position(java.lang.String id, double out)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object o)`
    `boolean` | `equals(java.lang.Object o)`
    `void` | `fromData(java.io.DataInput in)` Reads the state of this object as primitive data from the given `DataInput`.
    `java.util.Set` | `getCol()`
    `int` | `getId()`
    `double` | `getMktValue()`
    `int` | `getPid()`
    `java.lang.String` | `getSecId()`
    `java.util.Set` | `getSet(int size)`
    `double` | `getSharesOutstanding()`
    `int` | `hashCode()`
    `static void` | `resetCounter()`
    `void` | `toData(java.io.DataOutput out)` Writes the state of this object as primitive data to the given `DataOutput`.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mktValue

          public double mktValue

    - #### secId

          public java.lang.String secId

    - #### secIdIndexed

          public java.lang.String secIdIndexed

    - #### secType

          public java.lang.String secType

    - #### underlyer

          public java.lang.String underlyer

    - #### cnt

          public static int cnt

    - #### portfolioId

          public int portfolioId

  - ### Constructor Detail

    - #### Position

          public Position()

    - #### Position

          public Position(java.lang.String id,
                          double out)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### resetCounter

          public static void resetCounter()

    - #### getMktValue

          public double getMktValue()

    - #### getSecId

          public java.lang.String getSecId()

    - #### getId

          public int getId()

    - #### getSharesOutstanding

          public double getSharesOutstanding()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getSet

          public java.util.Set getSet(int size)

    - #### getCol

          public java.util.Set getCol()

    - #### getPid

          public int getPid()

    - #### fromData

          public void fromData(java.io.DataInput in)
                        throws java.io.IOException,
                               java.lang.ClassNotFoundException

      Description copied from interface: `DataSerializable`
      Reads the state of this object as primitive data from the given `DataInput`.
      Specified by:
        `fromData` in interface `DataSerializable`
      Throws:
        `java.io.IOException` - A problem occurs while reading from `in`
        `java.lang.ClassNotFoundException` - A class could not be loaded while reading from `in`

    - #### toData

          public void toData(java.io.DataOutput out)
                      throws java.io.IOException

      Description copied from interface: `DataSerializable`
      Writes the state of this object as primitive data to the given `DataOutput`.

      Since 5.7 it is possible for any method call to the specified `DataOutput` to throw `GemFireRethrowable`. It should not be caught by user code. If it is it must be rethrown.

      Specified by:
        `toData` in interface `DataSerializable`
      Throws:
        `java.io.IOException` - A problem occurs while writing to `out`

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`